Package com.xebialabs.xlrelease.domain.udm.reporting

# Class CodeComplianceRecord

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.facet.Facet
com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
com.xebialabs.xlrelease.domain.udm.reporting.CodeComplianceRecord

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="Security and Compliance", description="Unified Data Model for Code Compliance") public class CodeComplianceRecord extends TaskReportingRecord

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `CONFIGURATION_URI, scope`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeComplianceRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getAnalysisDate()`
  `String`
  `getComplianceData()`
  `String`
  `getOutcome()`
  `String`
  `getProject()`
  `String`
  `getProject_url()`
  `void`
  `setAnalysisDate(Date analysisDate)`
  `void`
  `setComplianceData(String complianceData)`
  `void`
  `setOutcome(String outcome)`
  `void`
  `setProject(String project)`
  `void`
  `setProject_url(String project_url)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

  `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CodeComplianceRecord

    public CodeComplianceRecord()

- ## Method Details

  - ### getProject

    public String getProject()

  - ### setProject

    public void setProject(String project)

  - ### getProject_url

    public String getProject_url()

  - ### setProject_url

    public void setProject_url(String project_url)

  - ### getAnalysisDate

    public Date getAnalysisDate()

  - ### setAnalysisDate

    public void setAnalysisDate(Date analysisDate)

  - ### getOutcome

    public String getOutcome()

  - ### setOutcome

    public void setOutcome(String outcome)

  - ### getComplianceData

    public String getComplianceData()

  - ### setComplianceData

    public void setComplianceData(String complianceData)